## AgsSetAudioChannels

AgsSetAudioChannels — resizes audio channels

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSetAudioChannels * | ags_set_audio_channels_new ()

## Properties

guint | audio-channels | Read / Write
GObject * | soundcard | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsSetAudioChannels

## Includes

    #include <ags/audio/task/ags_set_audio_channels.h>

## Description

The AgsSetAudioChannels task resizes audio channels of AgsSoundcard.

## Functions

### ags_set_audio_channels_new ()

    AgsSetAudioChannels *
    ags_set_audio_channels_new (GObject *soundcard,
                                guint audio_channels);

Create a new instance of AgsSetAudioChannels.

#### Parameters

soundcard | the AgsSoundcard to reset |
audio_channels | the new count of audio channels |

#### Returns

the new AgsSetAudioChannels.

Since: 3.0.0

## Property Details

### The `“audio-channels”` property

      “audio-channels”           guint

The count of audio channels to apply to soundcard.

Owner: AgsSetAudioChannels

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“soundcard”` property

      “soundcard”                GObject *

The assigned AgsSoundcard instance.

Owner: AgsSetAudioChannels

Flags: Read / Write

Since: 3.0.0